Bug 986052 - pypy distutils --user option broken
pypy distutils --user option broken
Product: Fedora EPEL
Classification: Fedora
Component: pypy (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matej Stuchlik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-18 17:14 EDT by M8R-04p9i
Modified: 2016-01-31 21:15 EST (History)
3 users (show)

See Also:
Fixed In Version: pypy-2.0.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-20 14:17:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
error log (1.26 KB, text/plain)
2013-07-18 17:17 EDT, M8R-04p9i
no flags Details

  None (edit)
Description M8R-04p9i 2013-07-18 17:14:01 EDT
User-Agent:       Mozilla/5.0 (Android; Mobile; rv:19.0) Gecko/19.0 Firefox/19.0
Build Identifier: 

Following this guide:
I attempt to install setuptools into a user-local path.

wget https://bitbucket.org/pypa/setuptools/downloads/ez_setup.py
pypy ez_setup.py --user

this errors out. error attached to bug.

Reproducible: Always

Steps to Reproduce:
sudo yum install pypy
wget https://bitbucket.org/pypa/setuptools/downloads/ez_setup.py
pypy ez_setup.py --user
Actual Results:  
error log attached

Expected Results:  
expected a directory created in ~/.local/lib/pypy/ with setuptools installed
Comment 1 M8R-04p9i 2013-07-18 17:17:37 EDT
Created attachment 775508 [details]
error log
Comment 2 M8R-04p9i 2013-07-22 23:57:49 EDT
I ran a systrace and pypy seems to look in 
The Expected Results section should be ammended to:
Expected a directory created in ~/.local/lib/python2.7/site-packages/ with setuptools installed (setuptools dir created and steuptools-{version}-.egg dir created)
Comment 3 Matej Stuchlik 2013-07-23 05:17:51 EDT
I'll look into it, thanks for reporting :)
Comment 4 Fedora Update System 2013-07-31 02:41:23 EDT
pypy-2.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
Comment 5 Fedora Update System 2013-08-01 16:34:42 EDT
Package pypy-2.0.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pypy-2.0.2-1.el6'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-20 14:17:48 EDT
pypy-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.